Subject: Re: bug#5624: 23.1; etags elisp and scheme "=" in names

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Jun 2017 17:13:17 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 11 Jun 2017 20:44:29 -0600
> 
> One issue is that the Lisp and Scheme functions use get_tag, which uses
> notinname. What do you think about the following diff? It adds a wrapper
> to notinname which get_tag uses.

I think it would be much cleaner not to use get_tag for these
languages, but instead either call make_tag directly or write a
get_lispy_tag function which will DTRT for Lisp-like languages.

Thanks.